forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From che...@apache.org
Subject cvs commit: xml-forrest/lib/endorsed xalan-2.5.2.jar xercesImpl-2.5.0.jar xml-apis.jar xalan-2.5.1.jar xercesImpl-2.4.0.jar
Date Thu, 15 Jan 2004 21:52:29 GMT
cheche      2004/01/15 13:52:29

  Modified:    .        status.xml
               etc/cocoon_upgrade local.blocks.properties
                        upgrade_cocoon_jars.sh
               lib/endorsed xml-apis.jar
  Added:       lib/core cocoon-2.1.3.jar cocoon-asciiart-block-2.1.3.jar
                        cocoon-batik-block-2.1.3.jar
                        cocoon-chaperon-block-2.1.3.jar
                        cocoon-deprecated-2.1.3.jar
                        cocoon-fop-block-2.1.3.jar
                        cocoon-html-block-2.1.3.jar
                        cocoon-linkrewriter-block-2.1.3.jar
                        cocoon-profiler-block-2.1.3.jar
                        commons-lang-2.0.jar
                        excalibur-component-1.2-dev.jar
                        excalibur-event-api-1.0.4-dev.jar
                        excalibur-event-impl-1.0.4-dev.jar
                        excalibur-i18n-1.1.jar
                        excalibur-sourceresolve-1.0.2-dev.jar
                        excalibur-store-1.0-dev.jar
                        excalibur-xmlutil-1.0-dev.jar nekodtd-0.1.9.jar
                        resolver-20030708.jar
               lib/endorsed xalan-2.5.2.jar xercesImpl-2.5.0.jar
  Removed:     lib/core cocoon-20030920.jar
                        cocoon-asciiart-block-20031129.jar
                        cocoon-batik-block-20030920.jar
                        cocoon-chaperon-block-20030920.jar
                        cocoon-deprecated-20030920.jar
                        cocoon-fop-block-20030920.jar
                        cocoon-html-block-20030920.jar
                        cocoon-linkrewriter-block-20030920.jar
                        cocoon-profiler-block-20030920.jar
                        commons-lang-1.0.1.jar excalibur-cli-1.0.jar
                        excalibur-component-1.1.jar
                        excalibur-concurrent-20020820.jar
                        excalibur-datasource-vm12-20021121.jar
                        excalibur-event-20030904.jar excalibur-i18n-1.0.jar
                        excalibur-sourceresolve-20030715.jar
                        excalibur-store-20030825.jar
                        excalibur-xmlutil-20030520.jar
                        jakarta-oro-2.0.6.jar nekodtd-0.1.6.jar
                        nekodtd-dtd2xml.jar
               lib/endorsed xalan-2.5.1.jar xercesImpl-2.4.0.jar
  Log:
  Upgrade to Cocoon 2.1.3
  Neko-dtd 0.1.9
  
  Revision  Changes    Path
  1.269     +9 -1      xml-forrest/status.xml
  
  Index: status.xml
  ===================================================================
  RCS file: /home/cvs/xml-forrest/status.xml,v
  retrieving revision 1.268
  retrieving revision 1.269
  diff -u -r1.268 -r1.269
  --- status.xml	13 Jan 2004 15:02:27 -0000	1.268
  +++ status.xml	15 Jan 2004 21:52:25 -0000	1.269
  @@ -28,6 +28,14 @@
   
     <changes>
       <release version="0.6-dev" date="unreleased">
  +      <action dev="JPP" type="update" context="core">
  +        Upgrade to cocoon 2.1.3
  +	nekodtd 0.1.9
  +	remove excalibur-concurrent-20020820.jar
  +	remove excalibur-cli-1.0.jar
  +	remove excalibur-datasource-vm12-20021121.jar
  +	remove jakarta-oro-2.0.6.jar 
  +      </action>    
         <action dev="RP" type="add" context="core">
           Add support for Openoffice Writer 1.1 files.
         </action>    
  
  
  
  1.7       +51 -20    xml-forrest/etc/cocoon_upgrade/local.blocks.properties
  
  Index: local.blocks.properties
  ===================================================================
  RCS file: /home/cvs/xml-forrest/etc/cocoon_upgrade/local.blocks.properties,v
  retrieving revision 1.6
  retrieving revision 1.7
  diff -u -r1.6 -r1.7
  --- local.blocks.properties	5 Sep 2003 12:55:26 -0000	1.6
  +++ local.blocks.properties	15 Jan 2004 21:52:25 -0000	1.7
  @@ -2,28 +2,40 @@
   #                             Cocoon Blocks                                    #
   #------------------------------------------------------------------------------#
   
  -# Remove blocks from your cocoon distribution by uncommenting the 
  -# corresponding exclude property
  +# Remove blocks from your cocoon distribution by uncommenting the
  +# corresponding exclude property.
   
  -# NOTE: don't modify this file directly but make a copy named 
  +# NOTE: Don't modify this file directly but make a copy named
   # 'local.blocks.properties' and modify that. The build system will override
   # these properties with the ones in the 'local.blocks.properties' file.
   
  +# NOTE: "[dependency]" indicates blocks that are required by other blocks.
  +# Disabling batik, for example, will result in a RuntimeException when using
  +# fop. On the other hand some dependencies come only from the block samples.
  +
  +
   # Stable blocks ----------------------------------------------------------------
   
  -# stable blocks are those that can be considered ready for production and
  +# Stable blocks are those that can be considered ready for production and
   # will contain components and API that will remain stable and where
  -# developers are committed to back compatibility. In short, stuff you can
  -# depend on.
  +# developers are committed to back compatibility. In short, stuff that you
  +# can depend on.
   
  +#-----[dependency]: "authentication-fw" depends on "session-fw".
  +#-----[dependency]: "authentication-fw" is needed by "portal", "portal-fw", "slide".
   exclude.block.authentication-fw=true
  +#-----[dependency]: "batik" is needed by "fop", "scratchpad".
   #exclude.block.batik=true
   exclude.block.bsf=true
   #exclude.block.chaperon=true
  +#-----[dependency]: "databases" is needed by "hsqldb", "jms", "petstore", "repository",
"xmldb".
   exclude.block.databases=true
  -exclude.block.deli=true
  +#-----[dependency]: "fop" depends on "batik".
   #exclude.block.fop=true
  +#-----[dependency]: "hsqldb" depends on "databases".
  +#-----[dependency]: "hsqldb" is needed by "jms", "petstore".
   exclude.block.hsqldb=true
  +#-----[dependency]: "html" is needed by "portal".
   #exclude.block.html=true
   exclude.block.itext=true
   exclude.block.jfor=true
  @@ -34,52 +46,71 @@
   exclude.block.naming=true
   exclude.block.php=true
   exclude.block.poi=true
  +#-----[dependency]: "portal-fw" depends on "authentication-fw", "session-fw".
   exclude.block.portal-fw=true
   #exclude.block.profiler=true
   exclude.block.python=true
  +#-----[dependency]: "session-fw" is needed by "authentication-fw", "portal", "portal-fw".
   exclude.block.session-fw=true
  -exclude.block.slide=true
   exclude.block.swf=true
  +#-----[dependency]: "velocity" is needed by "petstore", "scratchpad".
   exclude.block.velocity=true
   exclude.block.web3=true
  +#-----[dependency]: "xmldb" depends on "databases".
   exclude.block.xmldb=true
   
  -
   # Unstable blocks --------------------------------------------------------------
   
  -# unstable blocks are currently under development and do not guarantee the
  -# contracts they expose (API, xml schema, properties, behavior) will remain 
  +# Unstable blocks are currently under development and do not guarantee that the
  +# contracts they expose (API, xml schema, properties, behavior) will remain
   # constant in time. Developers are not committed to back-compatibility just yet.
  -# This doesn't necessarily mean the blocks implementation is unstable or 
  +# This doesn't necessarily mean the blocks implementation is unstable or
   # the code can't be trusted for production, but use with care and watch
  -# its development as thing might change over time before they are marked
  +# its development as things might change over time before they are marked
   # stable.
   
   exclude.block.apples=true
  +#-----[dependency]: "asciiart" is needed by "mail".
   #exclude.block.asciiart=true
   exclude.block.axis=true
  +#-----[dependency]: "cron" is needed by "scratchpad".
   exclude.block.cron=true
  +exclude.block.deli=true
  +#-----[dependency]: "eventcache" is needed by "jms", "repository".
   exclude.block.eventcache=true
  -exclude.block.linotype=true
  +#-----[dependency]: "jms" depends on "databases", "eventcache", "hsqldb".
  +exclude.block.jms=true
  +#exclude.block.linotype=true
  +#-----[dependency]: "mail" depends on "asciiart".
   exclude.block.mail=true
   exclude.block.midi=true
  -exclude.block.qdox=true
  +#-----[warning]: Before including the "ojb" block, see: http://wiki.cocoondev.org/Wiki.jsp?page=OJBBlock
  +exclude.block.ojb=true
  +#-----[dependency]: "petstore" depends on "databases", "hsqldb", "velocity", "woody".
   exclude.block.petstore=true
  +#-----[dependency]: "portal" depends on "authentication-fw", "html", "session-fw".
  +exclude.block.portal=true
   exclude.block.precept=true
   exclude.block.proxy=true
  -exclude.block.portal=true
  +exclude.block.qdox=true
  +#-----[dependency]: "repository" depends on "databases", "eventcache".
  +#-----[dependency]: "repository" is needed by "slide", "webdav".
  +exclude.block.repository=true
  +#-----[dependency]: "scratchpad" depends on "batik", "cron", "velocity".
   exclude.block.scratchpad=true
  +#-----[dependency]: "slide" depends on "authentication-fw", "repository".
  +exclude.block.slide=true
   exclude.block.slop=true
   exclude.block.stx=true
   exclude.block.taglib=true
  +#-----[dependency]: "webdav" depends on "repository".
   exclude.block.webdav=true
  +#-----[dependency]: "woody" is needed by "petstore".
   exclude.block.woody=true
   
  -
  -
   # Deprecated blocks ------------------------------------------------------------
   
  -# Although these blocks are stable they have been deprecated in favour of other
  -# blocks.
  +# Although some of these blocks may have been stable, they are now deprecated
  +# in favour of other blocks and therefore are excluded by default from the build
   
   exclude.block.xmlform=true
  
  
  
  1.26      +6 -6      xml-forrest/etc/cocoon_upgrade/upgrade_cocoon_jars.sh
  
  Index: upgrade_cocoon_jars.sh
  ===================================================================
  RCS file: /home/cvs/xml-forrest/etc/cocoon_upgrade/upgrade_cocoon_jars.sh,v
  retrieving revision 1.25
  retrieving revision 1.26
  diff -u -r1.25 -r1.26
  --- upgrade_cocoon_jars.sh	15 Jan 2004 15:23:02 -0000	1.25
  +++ upgrade_cocoon_jars.sh	15 Jan 2004 21:52:25 -0000	1.26
  @@ -7,17 +7,17 @@
   #
   BASE=$PWD/`dirname $0`
   ## MUST BE OVERRIDDEN:
  -COCOON_VERSION=2.1.2-dev
  +COCOON_VERSION=2.1.3
   COCOON_HOME=$BASE/../../../cocoon-2.1
   FORREST=$BASE/../..
  -NEKODTD_VERSION=0.1.6
  +NEKODTD_VERSION=0.1.9
   NEKODTD_HOME=$BASE/../../../nekodtd-$NEKODTD_VERSION
   NEKOPULL_VERSION=0.2.3
   NEKOPULL_HOME=$BASE/../../../nekopull-$NEKOPULL_VERSION
   
   ## CAN be overridden:
  -JARSUFFIX=`date +%Y%m%d`
  -#JARSUFFIX=2.1.1
  +#JARSUFFIX=`date +%Y%m%d`
  +JARSUFFIX=2.1.3
   
   ## We need to identify the old Cocoon jar amongst all the others.  This pattern
   ## identifies it.  By default, we assume a date (see $JARSUFFIX) was used
  @@ -30,8 +30,8 @@
   ## - 'real_with_cvs' copies to lib/core/, and marks jars for removal/addition
   ##   in CVS.  Should only be performed by Forrest committers
   #
  -UPGRADE_TYPE=testing
  -#UPGRADE_TYPE=real
  +#UPGRADE_TYPE=testing
  +UPGRADE_TYPE=real
   #UPGRADE_TYPE=real_with_cvs
   #
   ######################################################################
  
  
  
  1.1                  xml-forrest/lib/core/cocoon-2.1.3.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/cocoon-asciiart-block-2.1.3.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/cocoon-batik-block-2.1.3.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/cocoon-chaperon-block-2.1.3.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/cocoon-deprecated-2.1.3.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/cocoon-fop-block-2.1.3.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/cocoon-html-block-2.1.3.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/cocoon-linkrewriter-block-2.1.3.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/cocoon-profiler-block-2.1.3.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/commons-lang-2.0.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/excalibur-component-1.2-dev.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/excalibur-event-api-1.0.4-dev.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/excalibur-event-impl-1.0.4-dev.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/excalibur-i18n-1.1.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/excalibur-sourceresolve-1.0.2-dev.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/excalibur-store-1.0-dev.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/excalibur-xmlutil-1.0-dev.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/core/nekodtd-0.1.9.jar
  
  	<<Binary file>>
  
  
  1.3       +0 -0      xml-forrest/lib/core/resolver-20030708.jar
  
  	<<Binary file>>
  
  
  1.5       +400 -403  xml-forrest/lib/endorsed/xml-apis.jar
  
  	<<Binary file>>
  
  
  1.1                  xml-forrest/lib/endorsed/xalan-2.5.2.jar
  
  	<<Binary file>>
  
  
  1.2       +3409 -0   xml-forrest/lib/endorsed/xercesImpl-2.5.0.jar
  
  	<<Binary file>>
  
  

Mime
View raw message